#pragma once


#include <vector>
#include "objscip/objscip.h"

using namespace std;
using namespace scip;


class Variable
{
public:
	Variable(SCIP_VAR* _var,
		vector<int> _order);
	~Variable();

	inline void setVariable(SCIP_VAR* _var)
	{
		var = _var;
	}
	inline SCIP_VAR* getVariable() {
		return var;
	}

	inline vector<int> getOrder() {
		return order;
	}

protected:
	SCIP_VAR*	var;
	vector<int> order;


};

